<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Redirect Warning</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
    </style>
</head>
<body>
    <div>
        <p>Hey! don't be scared... we don't have a domain right now so it will say unsecure connection, we assure you everything is fine, press proceed if you understand, exit this tab if your uncomfortable.</p>
        <button id="proceedButton" disabled>Proceed</button>
    </div>

    <script>
        let countdown = 13;
        const proceedButton = $('#proceedButton');

        const updateButtonLabel = () => {
            if (countdown === 0) {
                proceedButton.text('Proceed');
                proceedButton.prop('disabled', false);
                clearInterval(countdownInterval); // Clear the interval when countdown reaches 0
            } else {
                proceedButton.text(`Proceed in ${countdown} seconds`);
                proceedButton.prop('disabled', true);
            }
        };

        const redirectToActualWebsite = () => {
            if (countdown === 0) {
                window.location.href = 'https://34.18.66.32/latest';
            }
        };

        updateButtonLabel();

        const countdownInterval = setInterval(() => {
            countdown--;
            updateButtonLabel();
        }, 1000);

        proceedButton.click(redirectToActualWebsite);
    </script>
</body>
</html>
